package src

import (
	. "git.danitheskunk.com/squishy/blooblib"
)

type Game struct {
	gobanRenderer *GobanRenderer
	boardState    *BoardState
}

func (g *Game) Init(settings *Settings) {
	settings.Title = "Goo v0.0"
	g.boardState = NewBoardState()
	g.gobanRenderer = NewGobanRenderer(g.boardState)
	
	g.boardState.Set(Vec2i{X:3,Y:3}, Black)
}

func (g *Game) Render(screen *Image) {
	g.gobanRenderer.Render(screen)
	//screen.DrawTilemap(g.tilemap, Vec2i{})
	//screen.Render(g.tilemap.Tileset[2], Vec2i{X: 16 * 25, Y: 16 * 4})
	//screen.Render(g.tilemap.Tileset[1], Vec2i{X: 16 * 13, Y: 16 * 16})
}

func (g *Game) Update() {
}
